function colored_map4(s,col1,col2,choice,symbol_choice,charsize)
%colored_map4			- colored map according to 2 criteria 
%colored_map4(X,col1,col2,color_choice,(symbol_choice),(charsize);)
%Input_arguments
%--------------
%X: SAISIR matrix of data (n x p) 
%col1, col2 : rank of the columns to be represented
%choice: first criterion of choice, dealing with the colors
%symbol_choice (optional): second criteria of choice, dealing with the
%symbols
%
%Biplot of two columns as colored map 
%The coloration of the displayed descriptors depends on the arguments
%choice (either matrix of char, vector of number or saisir structure);
%with number of elements equal to the number rows in s;
%if the elements of "choice" are different, they are also colored differently.   
%if "symbol_choice" is also defined (either matrix of char, vector of number
%or saisir structure) different symbols are used. The color of the point
%is then given by "choice", and the shape of the symbol depends on
%"symbol_choice"
%
%Example of use:
%Colored text with color determined by the second character in wheat.i
%colored_map4(wheat,1,50,wheat.i(:,2));;
%
%carte_couleur4(ble,1,50,ble.i(:,2),ble.i(:,3));
%color: determined by the second character in wheat.i
%colored symbol: shape determined by the third character in wheat.i


%clf;
%cla;
%figure;
%couleur=[0 0 0;  1 0 1; 0 0 1; 0 0.7 0;  0.5 0.5 0; 0.5 0 0.5; 0 0.5 0.5 ; 0.25 0.25 0.25 ; 0.5 0 0; 0 0.5 0; 0 0.5 0; 0.1 0.2 0.3; 0.3 0.2 0.1; 0.5 0.5 0.8; 0.1 0.8 0.1 ];  
%couleur=[0 0 1;  1 0 0; 0 0 1; 0 0.7 0;  0.5 0.5 0; 0.5 0 0.5; 0 0.5 0.5 ; 0.25 0.25 0.25 ; 0.5 0 0; 0 0.5 0; 0 0.5 0; 0.1 0.2 0.3; 0.3 0.2 0.1; 0.5 0.5 0.8; 0.1 0.8 0.1 ];  
couleur=[0 0 1; 1 0 0; 0 0 0; 0 0.7 0; 0.5 0.5 0; 0.5 0 0.5; 0 0.5 0.5 ; 0.25 0.25 0.25 ; 0.5 0 0; 0 0.5 0; 0 0.5 0; 0.1 0.2 0.3; 0.3 0.2 0.1; 0.5 0.5 0.8; 0.1 0.8 0.1 ];
symbole=['<';'o';'s';'v';'d';'h';'<';'*';'h';'+';'^';'>';'<';'v'] ;
couleur1=['b';'r';'b';'g';'k';'c';'m';'y';];
cla;
kept=s.i;
title('');   
margin=0.05;
%if(nargin>8) margin=marg;end;
%figure;
csize=15;
if(nargin>5)csize=charsize;end;
axis('auto');
%axis([min(s.d(:,col1))*1.1 max(s.d(:,col1))*1.1 min(s.d(:,col2))*1.1 max(s.d(:,col2))*1.1]); 
minx=min(s.d(:,col1));maxx=max(s.d(:,col1));miny=min(s.d(:,col2));maxy=max(s.d(:,col2));
minx=minx-(maxx-minx)*margin;
miny=miny-(maxy-miny)*margin;
maxx=maxx+(maxx-minx)*margin;
maxy=maxy+(maxy-miny)*margin;

axis([minx maxx miny maxy]); 
%model(1,:)=s.i(1,startpos:endpos);
%nmodel=1;
%[bid,index]=sort(x.d);
%x=selectrow(x,index);
%gr=create_group1(s,startpos,endpos);
%indice=gr.d;
if(isnumeric(choice))
    s.i=char(choice);
end
if(isfield(choice,'d'));
    s.i=char(choice.d);
end
if(ischar(choice))
    s.i=choice;
end
if(islogical(choice))
    s.i=char(double(choice));
end
endpos=size(s.i,2);
gr=create_group1(s,1,endpos);
indice=gr.d;
s.i=kept;

if(nargin>4);
if(isnumeric(symbol_choice))
    s.i=char(symbol_choice);
end
if(isfield(symbol_choice,'d'));
    s.i=char(symbol_choice.d);
end
if(ischar(symbol_choice))
    s.i=symbol_choice;
end
if(islogical(symbol_choice))
    s.i=char(double(symbol_choice));
end
endpos=size(s.i,2);
gr=create_group1(s,1,endpos);
indice1=gr.d;
s.i=kept;
end
for i=1:size(s.i,1)
%    trouve=0;
%    for j=1:nmodel
%          %[model(j,:) ' ' s.i(i,:)]
%        
%        if(strcmp(model(j,:),s.i(i,startpos:endpos))==1)
%          indice=j;
%          trouve=1;
%        end         
%    end
%    if(trouve==0)
%       nmodel=nmodel+1;
%       indice=nmodel;
%       model(nmodel,:)=s.i(i,startpos:endpos);
%    end   
% 
if(nargin<5)
text(s.d(i,col1),s.d(i,col2),s.i(i,:),'FontSize',csize,'Color',couleur(mod(indice(i),15)+1,:));
else
    hold on;
    %mod(indice(i),11)+1
    h=plot(s.d(i,col1),s.d(i,col2),['k' symbole(mod(indice(i),11)+1)],'MarkerSize',csize,'MarkerFaceColor',couleur1(mod(indice1(i),7)+1));
    hold off;
end
end   
hold off;
