function [saisir] = cormap(saisir1,saisir2)
%cormap 			- Correlation between two tables
%function [cor] = cormap(X1,X2)
%
%Input arguments
%--------------
%X1 and X2: SAISIR matrix dimensioned n x p1 and n x p2 respectively
%
%Output argument:
%---------------
%cor: matrix of correlation dimensioned p1 x p2)
%the tables must have the same number of rows
%An element cor.d(i,j) is the correlation coefficient between the column i of X1 and j of X2


saisir.i=saisir1.v; saisir.v=saisir2.v;

[nrow1 ncol1]=size(saisir1.d);
[nrow2 ncol2]=size(saisir2.d);
if(nrow1~=nrow2); error('The number of rows must be equal');end
m1=mean(saisir1.d);
m2=mean(saisir2.d);
s1=std(saisir1.d,1);
s2=std(saisir2.d,1);
saisir1.d=saisir1.d -ones(nrow1,1)*m1;
saisir2.d=saisir2.d -ones(nrow1,1)*m2;

saisir1.d=saisir1.d./(ones(nrow1,1)*s1);
saisir2.d=saisir2.d./(ones(nrow1,1)*s2);

saisir.d=(1/nrow1)*(saisir1.d'*saisir2.d);

