function res=crossval_quaddis(x,group,selected)
%crossval_quaddis   - crossvalidation of quadratic dis. analysis
%function res=crossval_quaddis(X,group,selected)
%
% Input arguments:
% ================
% X         : matrix of predictive data (n x p)
% group     : vector of known groups (integers, n x 1)
% selected  : MATLAB vector (n x 1) 
% with elements 0: selected in the calibration set
% 1: selected in the validation set 
%
% Output argument
% ===============
% res with fields:
% calibration: structure quaddis_type as defined in function "quaddis"
% validation : structure as defined in "apply_quaddis"
%
% see also quaddis, apply_quaddis

[xcal xval]=splitrow(x,selected==0);
[gcal gval]=splitrow(group,selected==0);

quaddis_type=quaddis(xcal,gcal);

val=apply_quaddis(quaddis_type,xval,gval); 

res.calibration=quaddis_type;
res.validation=val;

