function h=curves(s,range,xlab,ylab,titre)
%curves 			- represents several rows of a matrix as curves
%usage handle=curves(X,range,(xlabel),(ylabel),(title))
%
%Input arguments:
%---------------
%X : SAISIR matrix
%range (optional): vector of integer values giving the indices of the 
%rows to be displayed (default : all rows displayed)
%xlabel, ylabel (optional): labels in X and Y
%title (optional): title of the graph.
%If X.v can be interpreted as a vector of number (such as wavelengths), 
%the X scale is given by this vector. 
%Otherwise, the X-axis is simply given by the rank of the variables
%example:
%curves(spectra,1:2:100,'wavenumber','log 1/R','Raman spectra');
%plot the rows 1, 3, 5, ... 99 as curves. 
%A function "courbes" is a synonym of this function.



couleur=[0 0 0.7; 0 0 0; 0 0 0; 1 0 0; 0 1 0 ; 0 0 0; 0 0.5 0.5 ; 0.25 0.25 0.25 ; 0.5 0 0; 0 0.5 0; 0 0.5 0; 0.1 0.2 0.3; 0.3 0.2 0.1; 0.5 0.5 0.8; 0.1 0.8 0.1 ];
[n,p]=size(s.d);
if(nargin==1)
   nstart=1;
   nend=n;
	range=nstart:nend;   
end;   
%if(nstart>n); nstart=n; end;
%if(nend>n);nend=n;end;
[bid,n1]=size(range);
if(range(1)<0); range(1)=1;end;
if(~isempty(str2num(s.v))) h=plot(str2num(s.v),s.d(range(1),:),'k');
set(h,'LineWidth',1);% utilisation du handle
else
   h=plot(s.d(range(1),:));end;
	set(h,'LineWidth',2);% utilisation du handle
hold on
for i=range(2:n1)
   if((i<=n)&(i>0))
      if(~isempty(str2num(s.v)))
      	h=plot(str2num(s.v),s.d(i,:),'Color',couleur(mod(i,15)+1,:));
      else
              h=plot(s.d(i,:),'Color',couleur(mod(i,15)+1,:));
   	  %mod(i,15)+1
      end;
    end  
    set(h,'LineWidth',2);% utilisation du handle
end;   
set(h,'LineWidth',2);% utilisation du handle
axis('tight'); 
if(nargin >2) xlabel(xlab);end;
if(nargin>3)ylabel(ylab);end;
if(nargin>5) title(titre); end
hold off