function index=find_index(str,value);
%find_index     - find the index corresponding to the closest "value" 
%function index=find_index(str,value);
%useful for finding the wavelength index in strings
%
%Input argument:
%==============
%str: an array of characters which can be interpreted as a vector of numbers
%when using a command such as vector=str2num(str);
%value: a numerical value normally in the range given by vector. 
%
%Output argument: 
%===============
%Index (rank) of the variable
%
%Exemple of use : 
%index=find_index(spectra.v,1104);
%Find the index of the variable in "spectra" closest to the value 1104.
%Important note: the number associated with num2str(str) are supposed to be sorted
%(It is the normal case with spectral data)

aux=str2num(str);
if(isnan(sum(aux)))
    disp('First argument impossible to convert into numerical value');
end
[bid index]=min(abs(aux-value));
