function res=group_centering(X,group);
%group_centering           - Centers data according to groups
%function X1=group_centering(X,group);
%
%Input arguments
%==============
%X: SAISIR matrix (n x p)
%group: SAISIR vector of group (integer, n x 1). Identical values
%in "group" indicates that the corresponding observations belong to the same group.
%
%Output argument
%===============
%X1:SAISIR matrix (n x p) group-centered.
%
% For each group, as defined by the input argument "group", the function computes the 
%average observation (1 x p). This average is subtracted to all
%observation belonging to this group.
%
%An usage of this function is the centering of sensory data according to each panellist.
%
%

ngroup=max(group.d);
for g=1:ngroup
    xmean(g,:)=mean(X.d(group.d==g,:));
end
res=X;
[n,p]=size(X.d);
for i=1:n
    res.d(i,:)=res.d(i,:)-xmean(group.d(i),:);
end

