function [saisir] = msc(saisir1,reference)
%msc        - Multiplicative scatter correction on spectra
% function [X1] = msc(X,(reference))
%
%Input arguments:
%================
%X:SAISIR matrix of data (n x p)
%reference (optional): SAISIR vector of a reference spectrum (default:
%average of X)
%
%Output:
%======
%X1: data corrected by the Multiplicative scatter correction method.
%
%
if(nargin==1)
   model=mean(saisir1.d);
else
   model=reference.d;
end;   
[n p]=size(saisir1.d);
y=[ones(p,1) model'];
saisir.d=zeros(n,p);
for i=1:n
   beta=regress(saisir1.d(i,:)',y);
   saisir.d(i,:)=(saisir1.d(i,:)-beta(1)*ones(1,p))/beta(2);
end   
saisir.v=saisir1.v;
saisir.i=saisir1.i;