function [res, STATS]=multiple_regression(x,y);
%multiple_regression             - Simple Multiple linear regression (all the variables)  
%function res=multiple_regression(x,y);
%
%Input arguments
%===============
%X: SAISIR matrix of predictive variables (n x p) 
%y: SAISIR vector of observed y (n x 1);
%
%Output argument
%===============
%res with fields
%ypred: predicted y
%beta0: intercept of the model (double)
%beta: regression coefficient
%r2: r2 value 
%RMSEC: Root mean square error of calibration



res.ypred.i=y.i;
res.ypred.v=y.v;
X=x.d;
y=y.d;
[n,p]=size(X);
X=[ones(n,1) X]; %% no constant in the Matlab model 
[B,BINT,R,RINT,STATS] = regress(y,X);
res.beta0=B(1);
res.beta.d=B(2:end);
res.beta.v='Regression coefficients';
res.beta.i=x.v;
res.ypred.d=x.d*res.beta.d+res.beta0;
%res.BINT=BINT;
R=corrcoef(y,res.ypred.d);
res.r2.d=R(1,2)*R(1,2);
res.r2.i='Determination coefficient';
res.r2.v='Determination coefficient';
delta=res.ypred.d-y;
res.RMSEC.d=sqrt(sum(delta.*delta)/(n-p-1));
res.RMSEC.i='Root mean square error of calibration';
res.RMSEC.v='Root mean square error of calibration';


