function[cor]=nancor(x1,x2)
%nancor            - Matrix of correlation with missing data  
%function[cor]=nancor(X1,X2)
%
%Input arguments:
%================
%X1 and X2:  SAISIR matrices dimensioned (n x p1) and (n x p2)
%respectively.
%
%Output argument:
%================
%cor: SAISIR matrix (dimensioned p1 x p2).
%An element cor.d(a,b) is the correlation coefficient between the column a
%of X1 and b of X2.
%


[n1,p1]=size(x1.d);
[n2,p2]=size(x2.d);
cor.d=zeros(p1,p2);
for i=1:p1
    for j=1:p2
        aux1=x1.d(:,i);
        aux2=x2.d(:,j);
        miss=isnan(aux1)+isnan(aux2);
        aux1=aux1(miss==0);
        aux2=aux2(miss==0);
        cor.d(i,j)=(aux1-mean(aux1))'*(aux2-mean(aux2))/(std(aux1,1)*std(aux2,1))/size(aux1,1);
    end
end
cor.i=x1.v;
cor.v=x2.v;
