function[res]=pcareconstruct(pcatype,score,maxdim)
%pcareconstruct		- reconstructs original data from a PCA model and a file of score
%function[res]=pcareconstruct(pcatype,score,nscore)
%
%Input arguments:
%===============
%pcatype: output argument of function"PCA"
%score: SAISIR matrix of scores (computed from the same pcatype model)
%nscore: number of components involved in the reconstruction of the data
%
%Output argument:
%================
%res: SAISIR matrix of reconstructed data. The quality of the
%reoncstruction depends on the number of scores introduced (variable
%"nscore").
%
% From the previously computed scores, the function rebuilds the original data matrix.
[n,p]=size(score.d);
[n1,p1]=size(pcatype.score.d);
if(maxdim>=n1)
   maxdim=n1-1;
   disp('Maxdim set at the highest possible value');
end;   

%if(p~=size(pcatype.average.d))
%   help pcareconstruct;
%   error('irrelevant dimensions in score or pcatype data');
%end   
eigenvec=pcatype.eigenvec.d(:,1:maxdim);
sco=score.d(:,1:maxdim);
res.d=sqrt(n1)*sco*eigenvec';
res.d=res.d+ones(n,1)*pcatype.average.d;
res.v=pcatype.average.v;
res.i=score.i;