function [mtBpls,mtYp,mtT,tbeta] = pls(mtX,mtY,nbdim)
%pls    - PLS regression (Partial Least Squares).
%function [mtBpls,mtYp,mtT,tbeta] = pls(mtX,mtY,nbdim)
%No direct use in SAISIR 
%
% Input arguments
%================
%	mtX		Matlab matrix of centered predictive data 
%	mtY		Matlab matrix of Y-variables (centered).
%	nbdim	dimension of the PLS model
%
% Output arguments 
%=================
%	mtBpls		PLS regression coefficients
%	mtYp		predicted Y
%	mtT         PLS scores 

[nbN,nbP] = size(mtX);
if nbN>nbP
	% Algorithme spcifique pour un grand nombre d'objets:
	[mtBpls,mtT,tbeta] = pls2obs(mtX,mtY,nbdim);
else
	% Algorithme spcifique pour un grand nombe de variables:
	[mtBpls,mtT,tbeta] = pls2var(mtX,mtY,nbdim);
end
mtYp = mtX*mtBpls;
% Le choix de l'algorithme  utiliser est bas sur la comparaison entre le nombre d'observations et le nombre de variables. Cette condition est arbitraire puisque la vitesse d'excution des deux algorithmes ne dpend pas essentiellement de la taille de la matrice mtX. En effet, le nombre de variables rponses et la dimension du modle influent aussi sur le temps d'excution. Une simulation numrique tenant compte de tous ces paramtres permettrait de connatre dans quelles conditions tel ou tel algorithme est le plus rapide.