function [mtBpls,mtT,tBeta] = pls2var(mtX,mtY,nbdim)
%pls2obs    - PLS regression with many observations
%function [mtBpls,mtT, tBeta] = pls2var(mtX,mtY,nbdim)
%This function is normally not directly called

[nbN,nbP] = size(mtX);
mtXX = mtX*mtX';
mtYY = mtY*mtY';
for idxdim = 1:nbdim
	%disp([idxdim nbdim]);
    mtXXYY = mtXX*mtYY;
	if ~all(abs(mtXXYY(:))<eps)
		vtcp1 = mtY(:,1);
		vtcp2 = ones(nbN,1)*10000000;
		while (norm(vtcp1-vtcp2)/norm(vtcp1)>1e-10)
			vtcp2 = vtcp1;
			vtcp1 = mtXXYY*vtcp2;
			vtcp1 = vtcp1/norm(vtcp1);
		end
		vttmp = (mtYY*vtcp1)/(vtcp1'*mtYY*vtcp1);
		mtT(:,idxdim) = vtcp1*sqrt(vttmp'*mtXX*vttmp);
		mtU(:,idxdim) = vttmp*sqrt(vttmp'*mtXX*vttmp);
		mttmp = eye(nbN)-vtcp1*vtcp1';
		mtXX = mttmp*mtXX*mttmp;
		mtYY = mttmp*mtYY*mttmp;
	else
		break,
	end
end
mtW = mtX'*mtU;
mtW = mtW./(ones(nbP,1)*sqrt(sum(mtW.^2)));
mtvecX = (mtT'*mtX)'*inv(mtT'*mtT);
mtvecY = (mtT'*mtY)'*inv(mtT'*mtT);
mtBpls = mtW*inv(mtvecX'*mtW)*mtvecY';
tBeta=mtW*inv(mtvecX'*mtW)*diag((1./sqrt(diag(mtW'*mtW))));
mtT=mtX*tBeta;

