function[saisir1,saisir2]=random_splitrow(saisir, nselect)
%random_splitrow     - random selection of rows
% function[X1,X2]=random_splitrow(X, nselect)
%
%Input argument
%=============
%X: SAISIR matrix (n x p)
%nselect: integer, less than p.
%
%Output arguments
%================
%X1, X2: SAISIR matrices of the resulting split
%
% This function randomly divides a matrix in two matrices:
% X1: with nselect rows, and X2 with n-nselect rows
%
%Typical use : building a calibration and a validation set
%========================================================
%[n,p]=size(DATA.d);
%[cal val]=random_splitrow(DATA, round(n*2/3));%% two third in calibration
%% cal and val are respectively the calibration and validation sets

[n,p]=size(saisir.d);
if(nselect<n/2)
	index=random_select(n,nselect);
	[saisir1,saisir2]=splitrow(saisir,index==1);
else
	index=random_select(n,(n-nselect));
	[saisir1,saisir2]=splitrow(saisir,index~=1);
end
