function [s1 s2]=saisir_sort(s,col,minmax)
%saisir_sort       - sorts the rows of s according to the values in a column
%function [X1 X2]=saisir_sort(X,ncol,minmax)
%
%Input arguments:
%===============
%X: SAISIR matrix (n x p)
%ncol:(integer) rank (index) of the column on which the data are sorted
%inmax: 0 increasing order, 1: decreasing order (default : 0)
%
%Output arguments:
%================
%X1: SAISIR matrix (n x p) sorted according to the column "ncol"
%X2: SAISIR matrix (n x (p+1)) sorted according to the column "ncol", with
%the rank added in column 1
%
% %Typical example:
% %===============
%DATA1=saisir_sort(DATA,5);
%map(DATA1,1,6); %% representing the 5 th column of DATA (6th column of
%%DATA1) in increasing order
if(nargin<3)
    minmax=0;
end
if(minmax~=0);
    s.d(:,col)=-s.d(:,col);
end
[bid,index]=sort(s.d(:,col));
s1=selectrow(s,index);
if(nargout==2)
[n,p]=size(s1.d);
[n1,p1]=size(s.v);
s2=s1;
s2.d=[(1:n)' s1.d];
aux='rank                                    ';
aux=aux(1:p1);
s2.v=[aux;s2.v];
end;

if(minmax~=0);
    s1.d(:,col)=-s1.d(:,col);
end
