function [saisir1] = select_from_identifier(saisir,startpos,str)
%select_from_identifier 		- Uses identifier of rows for selecting samples
%function [X1] = select_from_identifier(X,startpos,str)
%
%Input arguments: 
%===============
%X : SAISIR matrix
%startpos : beginning position in the character strings of the identifiers
%of rows ('.i')
%str: string which is used as selection key. 
%
%Output argument:
%===============
%X1 : SAISIR matrix of the selected rows 
%
%Creates the data collection "X1" which is the subset of "X"
%the identifiers of which contain the string str, in starting position startpos 
%
% %Example : 
% %========
% %Let X be a SAISIR matrix
% %Let X.i being
% %'wheat1'
% %'barle2'
% %'ricex1'
% %'wheat2'
% %The 'wheat' samples are extracted through
%mywheat= select_from_identifier(X,1,'wheat');
%%This select the rows with identifiers 'wheat1' and 'wheat2'

[n,p]=size(saisir.i);
aux=saisir.i(:,startpos:p);
index=strmatch(str,aux);
%index
saisir1=selectrow(saisir,index);