function [saisir1] = select_from_variable(saisir,startpos,str)
%select_from_variable 		- use identifier of columns for selecting variables
%function [X1] = select_from_variable(X,startpos,str)
%
%Input arguments: 
%===============
%X : SAISIR matrix
%startpos : beginning position in the character strings of the identifiers
%of columns ('.v')
%str: string which is used as selection key. 
%
%Output argument:
%===============
%X1 : SAISIR matrix of the selected columns 
%
%Creates the data collection "X1" which is the subset of "X"
%the variable identifiers of which contain the string str, in starting position startpos 
%are selected
%
%see also : select_from_identifier

bid=saisir_transpose(saisir);
bid=select_from_identifier(bid,startpos,str);
saisir1=saisir_transpose(bid);