function [saisir] = selectrow(saisir1,index)
%selectrow 	    	- creates a new data matrix with the selected rows
%function [X] = selectrow(X1,index)
%
%Input arguments
%===============
%X1: SAISIR matrix (n x p) 
%Index: vector of integer or of booleans
%
%Output argument
%===============
%X: matrix with n columns reduced to the selected rows
%
% %Typical example:
% %===============
%reduced=selectrow(DATA,[1 5 6]); %% selects the rows #1, #5, #6 and
%%builds the reduced matrix (with 3 rows) in "reduced"
%
%See also: selectcol, deletecol, deleterow, appendcol, appendrow,
%appendcol1, appendrow1

saisir.d=saisir1.d(index,:);
saisir.i=saisir1.i(index,:);
saisir.v=saisir1.v;

