function [beta beta0]=simple_regression(X,y);
%simple_regression      - mono_linear regressions 
%function [beta beta0]=simple_regression(X,y);
%
%Input arguments
%===============
%X:SAISIR matrix of predictive variables (n x p)
%y:SAISIR vector of the variable to be predicted (n x 1)
%
%Ouput arguments
%===============
%beta:SAISIR vector of the regression coefficients (1 x p)
%beta0:SAISIR vector of the intercepts (1 x p)
%
%y is predicted by each column i of X according to ypred=X.d(:,i)*beta.d(i)+beta0.d(i); 
%There are thus as many mono-linear models as the number of columns in X

[n,p]=size(X.d);
cov=covmap(y,X);
s=var(X.d,1);

beta.d=(cov.d./s)';
beta.i='Regression coefficients';
beta.v=X.v;
%mean(y)
beta0.d=mean(y.d)-(beta.d').*mean(X.d);
beta0.i='Intercepts';
beta0.v=X.v;
% 
% beta0=mean(y.d)*