function average_type=split_average(s,startpos,endpos)
%split_average 			- averages observations according to the identifiers
%function res=split_average(X,startpos,endpos)
%
%Input arguments:
%===============
%X:SAISIR matrix (n x p)
%startpos, endpos: position in the row-identifier strings (".i") 
%
%Output argument:
%===============
%res with fieldss:
%average: averages of the identified groups (p columns)
%group: number of observations in each group.
%
%The function extracts the characters in the row identifiers from "startpos"
%to "endpos" and makes as many groups as the number of different strings
%The observations are averaged according to these groups
%


[nrow ncol]=size(s.d);
g=create_group1(s,startpos,endpos);
maxgroup=max(g.d);
%maxgroup
for i=1:maxgroup
   % size(s.d)
    %size(g.d)
    aux=s.d(g.d==i,:);
    %aux
    average_type.average.d(i,:)=nanmean(aux,1);
end
average_type.average.v=s.v;
average_type.average.i=g.g.i;
average_type.group=g.g;
