function [saisir, xstd] = standardize(saisir1,mode)
%standardize		- divides each column by the corresponding standard deviation
%function [X, xstd] = standardize(X1,(option))
%
%Input arguments
%==============
%X1:SAISIR matrix (n x p)
%option : either 0: divides by n-1, or 1: divides by n (default : 1)
%
%Output argument
%===============
%X:SAISIR matrix (n x p)
%xstd: standard deviation of the columns of X1 (1 x p) 

%This function divides each column by the corresponding standard deviation

if(nargin<2) 
    mode=1;
end

xstd.d=std(saisir1.d,mode);
aux=1./xstd.d;
%size(aux);
saisir.d=saisir1.d.*(ones(size(saisir1.d,1),1)*aux);
saisir.i=saisir1.i;
saisir.v=saisir1.v;
xstd.i='Standard deviation';
xstd.v=saisir1.v;