function submap(s,col1,col2,xstring,labcol1,labcol2,titre,charsize,marg)
%submap				- partial display of observations 
%function submap(X,col1,col2,xstring,(col1label),(col2label),(title),(charsize),(marg))
%The scale of the COMPLETE map is used. 
%
%Input arguments:
%===============
%X: SAISIR matrix
%col1, col2 : index of the two columns to be represented (integer values)
%xstring : string in the names of identifiers which must be displayed
%col1label (optional): Label of the variable forming the X-axis
%col2label (optional): Label of the variable forming the Y-axis
%title (optional) : title of the graph
%charsize (optional) : size of the plotted characters
%marg (optional) : margin value allowing an extension of the axis in order 
%to cope with long identifiers (default value: 0.05)
% 
%example:
%Let X be a SAISIR matrix
%%Let X.i being
%'wheat1'
%'barle2'
%'ricex1'
%'wheat2'
%'barle3'
% ... 
%The command "submap(X,5,3,'wh')" will plot the column 5 as X and 3 as Y 
% Only the observations containing 'wh' in there names are displayed, but
% the general axis-scales are the one for the whole collection.
%Useful for emphasizing some groups in a complex plot.

margin=0.05;
if(nargin>8) margin=marg;end;
cla;
csize=6;
if(nargin>7)csize=charsize;end;
axis('auto');
%axis([min(s.d(:,col1))*1.1 max(s.d(:,col1))*1.1 min(s.d(:,col2))*1.1 max(s.d(:,col2))*1.1]); 
minx=min(s.d(:,col1));maxx=max(s.d(:,col1));miny=min(s.d(:,col2));maxy=max(s.d(:,col2));
minx=minx-(maxx-minx)*margin;
miny=miny-(maxy-miny)*margin;
maxx=maxx+(maxx-minx)*margin;
maxy=maxy+(maxy-miny)*margin;
index=seekstring(s.i,xstring);
axis([minx maxx miny maxy]); 
s1=selectrow(s,index);
text(s1.d(:,col1),s1.d(:,col2),s1.i,'FontSize',csize)
if(nargin >4) xlabel(labcol1)
	else xlabel(s.v(col1,:));   
end;
if(nargin>5) ylabel(labcol2);
	else ylabel(s.v(col2,:));   
end;
if(nargin>6) title(titre);end;
