function [saisir] = surface_std(saisir1,threshold)
%surface_std 			- divide each row by the sum of its corresponding columns
%function [X1] = surface_std(X,(threshold))
%
%Input arguments
%===============
%X:SAISIR matrix 
%Threshold: (small) positive or zero value
%If the sum is equal to 0, the elements of the corresponding row are set to 0. 
%If threshold defined threshold (normally very small value) is added to data
%Only useful for avoiding "division by zero" warning
%
%Ouput argument
%===============
%X1:corrected matrix
%
%The function assesses the sum of each row . Each value of each row is
%divided by the corresponding sum.
%
%In chromatography, this corresponds to giving the same surface to all the
%chromatograms.
%See also: snv

if(nargin==1)
    threshold=0;
end
saisir.v=saisir1.v;
saisir.i=saisir1.i;
aux=(1./sum(saisir1.d'+threshold))';
% avoiding NaN values
aux(isinf(aux))=0;
%size(aux)
%size(ones(1,size(saisir1.d,2)))
%size(aux*ones(1,size(saisir1.d,2)))
%size(saisir1.d)
saisir.d=saisir1.d.*(aux*ones(1,size(saisir1.d,2)));