function h=tcurve(s1,ncol,xlab,ylab,titre)
%tcurve 			- representation of a column of a given matrix as a curve 
%function handle=tcurve(X, ncol, (xlabel),(ylabel),(title))
%
%Input arguments;
%================
%X : SAISIR matrix
%ncol : column to be represented
%xlabel, ylabel (optional) : labels in X and Y
%title (optional) title of the graph.
%
%This function draws a column (typically a loading or an eigenvector) as a curve. 
%If X.i can be interpreted as a vector of number (such as wavelengths), 
%the X scale is given by this vector. 
%Otherwise, the X-axis is simply given by the rank of the variables
%A function "tcourbe" is a synonym of this function.


s=saisir_transpose(s1);
if(~isempty(str2num(s.v))) h=plot(str2num(s.v),s.d(ncol,:));
else
   h=plot(s.d(ncol,:));end;

set(h,'LineWidth',2);% utilisation du handle
axis('tight'); 
if(nargin >2) xlabel(xlab);end;
if(nargin>3)ylabel(ylab);end;
t=s.i(ncol,:);
if(nargin<5) title(s.i(ncol,:)); else title(titre); end
