function [res]=thematic_classification(function_name,previous);
%thematic_classification    - builds a thematic classification of the .m files
%function res=thematic_classification(function_name,(previous));
%
%Input argument
%==============
%function_name: matrix of characters giving the function name
%previous (optional): previous results of this function
%"thematic_classification"
%
%Output argument
%==============
%res with fields
%   theme_structure: array of structures with fields:
%       name: name of the function
%       theme: vector giving the number of the theme in the thematic list
%   theme: matrix of char giving the names of the themes.
%
%"thematic classification" presents a list of themes
%For each function, the user is asked to give the number in the list of
%themes
%
%VERY SPECIFIC USE.
%This function is used by the function "build_documentation" in order to give a
%a thematic list of the function
%If "previous" is defined, the results are obtained with concatenation of
%the old and newly created thematic list. The functions which are in "previous"
%are not considered again

themes={'Loading and saving files'; 'Elementary manipulation of SAISIR files'; ... 
    'Elementary data transformation and pre-treatments'; 'Graphical display'; 'Usual statistics'; ...
    'Advanced statistics'; 'Principal Component analysis'; 'Regression methods'; 'Partial least square (PLS)'; ...
    'Discrimination methods'; 'Miscellaneous';' NEXT FUNCTION'; ' FINISH (abort)'};
%xdisp(char(themes))
themes=char(themes);
[n1,p1]=size(themes);
[n,p]=size(function_name);    
res=[];
%% eliminating the possible '.m' extension
for i=1:n
    aux=function_name(i,:);
    place=findstr(aux,'.m');%% eliminating '.m'
    if(~isempty(place))
    aux=aux(1:place-1);
    end
    f{i}=aux;
end

function_name=char(f);
selected=zeros(1,n);
if(nargin>1);%%previous thematic list exists
    aux=char(previous.theme_structure.name);
        %selected=zeros(1,n);
        [n2,p2]=size(aux);
        for i=1:n2
            %aux1=[deblank(aux(i,:)) '.m'];
            aux1=[deblank(aux(i,:))];
            index=strmatch(aux1,function_name,'exact');
            %function_name(index,:)
            %xdisp(aux1,function_name(index,:));
            %pause
            if(~isempty(index));%% This function exists in "previous"
                selected(index)=1;%% not considered in the following
            end;
        end;
end;

function_name(selected==1,:)=[];%% Functions previously classifed not considered
xdisp(sum(selected), 'functions still classified in <previous>');
[n,p]=size(function_name);    
for i=1:n
    thistheme=0;
    k=0;
    for xloop=1:10
    xdisp('FUNCTION : ',function_name(i,:));
    for j=1:n1
        xdisp(j,' : ',themes(j,:));
    end
    aux = input('Which action (or return)?','s');
    xdisp(' ');
    aux=str2num(aux);
    if(isempty(aux))
        break;
    end
    if(aux==(n1-1));
        break;
    end
    if(aux==(n1-1));
        break;
    end
    
    if(aux==n1)
        break;
    end
    k=k+1;
    thistheme(k)=aux;
    end
aux=function_name(i,:);
% place=findstr(aux,'.m');%% eliminating '.m'
% if(~isempty(place))
% aux=aux(1:place-1);
%end
res(i).name=aux;
res(i).theme=thistheme;
end

theme_structure=res;
theme_list=themes(1:n1-2,:);%% the two last names are not themes

if(nargin>1); %% previous defined
    theme_structure=[res previous.theme_structure];
    [aux index]=sortrows(char(theme_structure.name));
    theme_structure=theme_structure(index);
end


res=[];
res.theme_structure=theme_structure;
res.theme=theme_list;

