function  xdisp(varargin)
%xdisp         -smart display of heterogeneous variables 
%function xdisp(varargin)
%
%Input argument
%==============
%varagin: variables number of arguments either number or string
%
%The function avoids those boring "numstr" and brackets [] in displaying
%text.
%
%Example: xdisp('pi is equal to',pi, 'Don''t you know ','Charlie Brown ?',' age :',6 );
%equivalent to
%disp(['pi is equal to ', num2str(pi)  ' Don''t you know ' 'Charlie Brown ?' ' age ' num2str(6)]); 
%

[a,nargs]=size(varargin);
str='';
for i=1:nargs
   aux=varargin{i};
    if(ischar(aux))
    str=[str aux];
    end
    if(isnumeric(aux))
        str= ([str ' ' num2str(aux) ' ']);
    end
end
disp(str);